﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.IO.Ports;

namespace USB_CDC
{
    public partial class ConnectionForm : Form
    {
        public MainForm mainForm = null;

        public ConnectionForm()
        {
            mainForm = new MainForm();
            InitializeComponent();
            //string[] ports;
            try
            {
                string[] ports = SerialPort.GetPortNames();
                foreach (string port in ports)
                {
                    comboBox1.Items.Add(port);
                }
                /*for (int i = 0; i < ports.Length; i++)
                {
                    comboBox1.Items.Add(ports[i]);
                }*/
                if (ports.Length > 0)
                {
                    comboBox1.SelectedItem = comboBox1.Items[ports.Length - 1];
                }
            }
            catch (Exception ex)
            {
                MessageBox.Show("GetPortNames failed due to " + ex.Message);
                Environment.Exit(0);
            }
            
            
        }

        private void button2_Click(object sender, EventArgs e) //cancel button
        {
            Environment.Exit(0);
        }

        private void button1_Click(object sender, EventArgs e) //connect button
        {
            mainForm.OpenPort(comboBox1.SelectedItem as string);
            this.Hide();
            mainForm.ShowDialog();
        }
    }
}
